@import "../../node_modules/uikit/src/less/uikit.theme.less";
@error-color: #e74645;
@cw-input-color: rgb(165, 0, 255);
@cw-input-color-hover: rgba(165, 0, 255, 0.62);
@cw-alpha-color: rgba(0,0,0,0);
@cw-navbar-color-active: #33d9b2;
@cw-navbar-color-active-route: #218c74;
@cw-navbar-color-hover: #A500FF;
@cw-navbar-container-bg-color:#2c2c54;


.uk-navbar-nav>li>a{
  position: relative;
  overflow: hidden;
}
.uk-navbar-nav>li>a:hover{
  color: @cw-navbar-color-hover;
}
.uk-navbar-nav>li>a.router-link-exact-active{
  color: @cw-navbar-color-active-route;
}

/*Top line*/
.cw-navbar-container::after{
  display: block;
  width: 100%;
  height: 5px;
  background: @cw-navbar-container-bg-color;
  content: '';
  position: absolute;
  top: 0;
  right:0;
  z-index: 0;
}
.uk-navbar-nav>li>a::before,.uk-navbar-nav>li>a:hover::before,
.uk-navbar-nav>li>a.router-link-exact-active::after
{
  display: block;
  width: 100%;
  height: 5px;
  background: @cw-navbar-color-hover;
  content: '';
  position: absolute;
  top: 0;
  z-index: 20;
}

.uk-navbar-nav>li>a.router-link-exact-active::after
{
  background: @cw-navbar-color-active;
  z-index: 10;
}

.uk-navbar-nav>li>a:before{
  left: -100%;
}

.uk-navbar-nav>li>a:hover::before{
  left: 0;
  -webkit-transition: .3s ;
  -moz-transition: .3s ;
  -ms-transition: .3s ;
  -o-transition: .3s ;
  transition: .3s ;
}
.uk-navbar-left>a.uk-logo {
  z-index: 30;
  box-shadow: inset 0 5px 0 @cw-navbar-color-active;
}



//

.math-expression{
  padding-left: 10px;
}
input.cw-input{
  color: #666;
  padding-left: 5px;
  padding-right: 5px;
  background-color:@cw-alpha-color;
  border: none;
  border-bottom: @cw-input-color;
  border-bottom-style: dotted;
  border-bottom-width: 1px;
  outline:none;
  height:30px;
  transition:height 1s;
  -webkit-transition:height 1s;
}
input.cw-input:hover, .cw-input:focus{
  border-bottom: @cw-input-color-hover;
  border-bottom-style: solid;
  border-bottom-width: 1px;
}
input.cw-input:invalid, input.cw-input-invalid{
  color: @error-color;
  border-bottom-width: 1px;
  border-bottom-color: @error-color;
  border-bottom-style: solid;
}
div.error{
  font-size: small;
  color: @error-color;
}




//katex


input.cw-input,.katex{
  font: normal 1em KaTeX_Main,Times New Roman,serif !important;
}
